-- MySQL dump 10.13  Distrib 5.1.41, for Win32 (ia32)
--
-- Host: localhost    Database: aeroporti
-- ------------------------------------------------------
-- Server version	5.1.41

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `aereo`
--

DROP TABLE IF EXISTS `aereo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `aereo` (
  `TipoAereo` char(20) NOT NULL,
  `NumPasseggeri` int(11) DEFAULT NULL,
  `QtaMerci` int(11) DEFAULT NULL,
  PRIMARY KEY (`TipoAereo`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `aereo`
--

LOCK TABLES `aereo` WRITE;
/*!40000 ALTER TABLE `aereo` DISABLE KEYS */;
INSERT INTO `aereo` VALUES ('Boeing747',180,200),('Boeing757',220,400),('Airbus300',160,100),('Airbus330',180,100),('Airbus340',240,500),('Boing767',NULL,NULL),('Airbus350',400,NULL),('Cargo500',NULL,500),('Cargo1000',NULL,1000),('Airbus360',250,NULL),('Boeing798',385,NULL);
/*!40000 ALTER TABLE `aereo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `aeroporto`
--

DROP TABLE IF EXISTS `aeroporto`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `aeroporto` (
  `CITTA` char(20) NOT NULL,
  `NAZIONE` char(20) NOT NULL,
  `NumPiste` int(11) DEFAULT NULL,
  PRIMARY KEY (`CITTA`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `aeroporto`
--

LOCK TABLES `aeroporto` WRITE;
/*!40000 ALTER TABLE `aeroporto` DISABLE KEYS */;
INSERT INTO `aeroporto` VALUES ('Roma','Italia',6),('Napoli','Italia',3),('Bari','Italia',2),('Palermo','Italia',3),('Pisa','Italia',3),('Milano','Italia',6),('Genova','Italia',2),('Trieste','Italia',2),('Treviso','Italia',2),('Bergamo','Italia',4),('Brescia','Italia',2),('Cagliari','Italia',2),('Olbia','Italia',2),('Parigi','Francia',8),('Lione','Francia',4),('Tolosa','Francia',4),('Marsiglia','Francia',2),('Madrid','Spagna',5),('Barcellona','Spagna',4),('Siviglia','Spagna',3),('Lourdes','Francia',NULL);
/*!40000 ALTER TABLE `aeroporto` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `volo`
--

DROP TABLE IF EXISTS `volo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `volo` (
  `IDVolo` int(11) NOT NULL,
  `GiornoSett` char(20) DEFAULT NULL,
  `LuogoPart` char(20) DEFAULT NULL,
  `OraPar` time DEFAULT NULL,
  `LuogoArr` char(20) DEFAULT NULL,
  `OraArr` time DEFAULT NULL,
  `TipoAereo` char(20) DEFAULT NULL,
  PRIMARY KEY (`IDVolo`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `volo`
--

LOCK TABLES `volo` WRITE;
/*!40000 ALTER TABLE `volo` DISABLE KEYS */;
INSERT INTO `volo` VALUES (1,'Lun','Roma','10:00:00','milano','11:00:00','Boeing798'),(2,'Lun','Roma','10:20:00','Bari','11:15:00','Boeing798'),(3,'Lun','Roma','11:20:00','Cagliari','12:05:00','Airbus512'),(4,'Lun','Roma','15:20:00','Treviso','16:30:00','Boeing757'),(5,'Lun','Roma','10:30:00','Siviglia','12:30:00','Boeing798'),(6,'Gio','Roma','10:30:00','Siviglia','12:30:00','Boeing798'),(7,'Sab','Roma','10:30:00','Siviglia','12:30:00','Boeing798'),(8,'Ven','Roma','11:20:00','Cagliari','12:05:00','Airbus512'),(9,'Dom','Roma','11:20:00','Cagliari','12:05:00','Airbus512'),(10,'Dom','Roma','16:20:00','Barcellona','18:05:00','Airbus512'),(11,'Dom','Barcellona','19:20:00','Roma','21:05:00','Airbus512'),(12,'Dom','Parigi','10:00:00','Roma','12:05:00','Airbus330'),(13,'Dom','Parigi','11:00:00','torino','12:45:00','Airbus330'),(14,'Mer','Roma','14:20:00','Parigi','17:05:00','Boeing757'),(15,'Mer','Roma','10:20:00','Parigi','13:05:00','Boeing757'),(16,'Ven','Roma','10:20:00','Parigi','13:05:00','Boeing757'),(17,'Sab','Roma','10:20:00','Parigi','13:05:00','Boeing757'),(18,'Sab','Parigi','13:00:00','Roma','14:30:00','Boeing737'),(19,'Lun','Bari','13:00:00','Roma','14:00:00','Cargo1000');
/*!40000 ALTER TABLE `volo` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-01-23 22:21:06
